Change VERSION string for IRC

VERIFIED FIXED in 1.0

Status

Chat Core
General
--
trivial
VERIFIED FIXED
5 years ago
4 years ago

People

(Reporter: clokep, Assigned: clokep)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [0.3-blocking-final])

Attachments

(1 attachment)

(Assignee)

Description

5 years ago
*** Original post on bio 836 at 2011-06-10 13:21:00 UTC ***

We should change the VERSION string in IRC to something like "Instantbird -- http://www.instantbird.com" instead of the generic "Purple IRC" string used (currently) in libpurple (so Pidgin, Instantbird, Adium and maybe more).

Ideally we could see who's not using Instantbird in #instantbird and converse about what improvements must be made in order to make it a viable IRC client for those people.

See http://lxr.instantbird.org/instantbird/source/purple/libpurple/protocols/irc/parse.c#565
(Assignee)

Updated

5 years ago
Whiteboard: [0.3-blocking-final]
(Assignee)

Comment 1

5 years ago
Created attachment 8352452 [details] [diff] [review]
v1.0

*** Original post on bio 836 as attmnt 710 at 2011-06-14 23:59:00 UTC ***

This one-liner changes the string to show Instantbird, do we want to keep the "Purple IRC" part in parenthesis?
Attachment #8352452 - Flags: review?(florian)
(Assignee)

Updated

5 years ago
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Comment on attachment 8352452 [details] [diff] [review]
v1.0

*** Original change on bio 836 attmnt 710 at 2011-06-15 13:37:24 UTC ***

(In reply to comment #1)
> do we want to keep the "Purple IRC" part in parenthesis?

I don't mind either way.
Attachment #8352452 - Flags: review?(florian) → review+
*** Original post on bio 836 at 2011-06-15 18:00:14 UTC ***

https://hg.instantbird.org/instantbird/rev/d6566f2d6bb5
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
(Assignee)

Comment 4

5 years ago
*** Original post on bio 836 at 2011-06-28 12:05:57 UTC ***

Verified via Mibbit.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.